using System;

internal sealed class Delegate784 : MulticastDelegate
{
	public extern Type Invoke(object object_0, int int_0);

	public static Type smethod_0(object object_0, int int_0, Delegate784 delegate784_1)
	{
		return delegate784_1(object_0, int_0);
	}

	public extern Delegate784(object object_0, IntPtr intptr_0);

	static Delegate784()
	{
		Class10.smethod_13(typeof(Delegate784).TypeHandle);
	}

	internal static Delegate784 delegate784_0;
}
